"""Test constants."""

MOCK_HOST = "myrouter.freeboxos.fr"
MOCK_PORT = 1234

# router
DATA_SYSTEM_GET_CONFIG = {
    "mac": "68:A3:78:00:00:00",
    "model_info": {
        "has_ext_telephony": True,
        "has_speakers_jack": True,
        "wifi_type": "2d4_5g",
        "pretty_name": "Freebox Server (r2)",
        "customer_hdd_slots": 0,
        "name": "fbxgw-r2/full",
        "has_speakers": True,
        "internal_hdd_size": 250,
        "has_femtocell_exp": True,
        "has_internal_hdd": True,
        "has_dect": True,
    },
    "fans": [{"id": "fan0_speed", "name": "Ventilateur 1", "value": 2130}],
    "sensors": [
        {"id": "temp_hdd", "name": "Disque dur", "value": 40},
        {"id": "temp_hdd2", "name": "Disque dur 2"},
        {"id": "temp_sw", "name": "Température Switch", "value": 50},
        {"id": "temp_cpum", "name": "Température CPU M", "value": 60},
        {"id": "temp_cpub", "name": "Température CPU B", "value": 56},
    ],
    "board_name": "fbxgw2r",
    "disk_status": "active",
    "uptime": "156 jours 19 heures 56 minutes 16 secondes",
    "uptime_val": 13550176,
    "user_main_storage": "Disque dur",
    "box_authenticated": True,
    "serial": "762601T190510709",
    "firmware_version": "4.2.5",
}

# sensors
DATA_CONNECTION_GET_STATUS = {
    "type": "ethernet",
    "rate_down": 198900,
    "bytes_up": 12035728872949,
    "ipv4_port_range": [0, 65535],
    "rate_up": 1440000,
    "bandwidth_up": 700000000,
    "ipv6": "2a01:e35:ffff:ffff::1",
    "bandwidth_down": 1000000000,
    "media": "ftth",
    "state": "up",
    "bytes_down": 2355966141297,
    "ipv4": "82.67.00.00",
}

DATA_CALL_GET_CALLS_LOG = [
    {
        "number": "0988290475",
        "type": "missed",
        "id": 94,
        "duration": 15,
        "datetime": 1613752718,
        "contact_id": 0,
        "line_id": 0,
        "name": "0988290475",
        "new": True,
    },
    {
        "number": "0367250217",
        "type": "missed",
        "id": 93,
        "duration": 25,
        "datetime": 1613662328,
        "contact_id": 0,
        "line_id": 0,
        "name": "0367250217",
        "new": True,
    },
    {
        "number": "0184726018",
        "type": "missed",
        "id": 92,
        "duration": 25,
        "datetime": 1613225098,
        "contact_id": 0,
        "line_id": 0,
        "name": "0184726018",
        "new": True,
    },
]

DATA_STORAGE_GET_DISKS = [
    {
        "idle_duration": 0,
        "read_error_requests": 0,
        "read_requests": 1815106,
        "spinning": True,
        "table_type": "raid",
        "firmware": "0001",
        "type": "sata",
        "idle": True,
        "connector": 2,
        "id": 1000,
        "write_error_requests": 0,
        "time_before_spindown": 600,
        "state": "disabled",
        "write_requests": 80386151,
        "total_bytes": 2000000000000,
        "model": "ST2000LM015-2E8174",
        "active_duration": 0,
        "temp": 30,
        "serial": "ZDZLBFHC",
        "partitions": [
            {
                "fstype": "raid",
                "total_bytes": 0,
                "label": "Volume 2000Go",
                "id": 1000,
                "internal": False,
                "fsck_result": "no_run_yet",
                "state": "umounted",
                "disk_id": 1000,
                "free_bytes": 0,
                "used_bytes": 0,
                "path": "L1ZvbHVtZSAyMDAwR28=",
            }
        ],
    },
    {
        "idle_duration": 0,
        "read_error_requests": 0,
        "read_requests": 3622038,
        "spinning": True,
        "table_type": "raid",
        "firmware": "0001",
        "type": "sata",
        "idle": True,
        "connector": 0,
        "id": 2000,
        "write_error_requests": 0,
        "time_before_spindown": 600,
        "state": "disabled",
        "write_requests": 80386151,
        "total_bytes": 2000000000000,
        "model": "ST2000LM015-2E8174",
        "active_duration": 0,
        "temp": 31,
        "serial": "ZDZLEJXE",
        "partitions": [
            {
                "fstype": "raid",
                "total_bytes": 0,
                "label": "Volume 2000Go 1",
                "id": 2000,
                "internal": False,
                "fsck_result": "no_run_yet",
                "state": "umounted",
                "disk_id": 2000,
                "free_bytes": 0,
                "used_bytes": 0,
                "path": "L1ZvbHVtZSAyMDAwR28gMQ==",
            }
        ],
    },
    {
        "idle_duration": 0,
        "read_error_requests": 0,
        "read_requests": 0,
        "spinning": False,
        "table_type": "superfloppy",
        "firmware": "",
        "type": "raid",
        "idle": False,
        "connector": 0,
        "id": 3000,
        "write_error_requests": 0,
        "state": "enabled",
        "write_requests": 0,
        "total_bytes": 2000000000000,
        "model": "",
        "active_duration": 0,
        "temp": 0,
        "serial": "",
        "partitions": [
            {
                "fstype": "ext4",
                "total_bytes": 1960000000000,
                "label": "Freebox",
                "id": 3000,
                "internal": False,
                "fsck_result": "no_run_yet",
                "state": "mounted",
                "disk_id": 3000,
                "free_bytes": 1730000000000,
                "used_bytes": 236910000000,
                "path": "L0ZyZWVib3g=",
            }
        ],
    },
]

DATA_STORAGE_GET_RAIDS = [
    {
        "degraded": False,
        "raid_disks": 2,  # Number of members that should be in this array
        "next_check": 0,  # Unix timestamp of next check in seconds. Might be 0 if check_interval is 0
        "sync_action": "idle",  # values: idle, resync, recover, check, repair, reshape, frozen
        "level": "raid1",  # values: basic, raid0, raid1, raid5, raid10
        "uuid": "dc8679f8-13f9-11ee-9106-38d547790df8",
        "sysfs_state": "clear",  # values: clear, inactive, suspended, readonly, read_auto, clean, active, write_pending, active_idle
        "id": 0,
        "sync_completed_pos": 0,  # Current position of sync process
        "members": [
            {
                "total_bytes": 2000000000000,
                "active_device": 1,
                "id": 1000,
                "corrected_read_errors": 0,
                "array_id": 0,
                "disk": {
                    "firmware": "0001",
                    "temp": 29,
                    "serial": "ZDZLBFHC",
                    "model": "ST2000LM015-2E8174",
                },
                "role": "active",  # values: active, faulty, spare, missing
                "sct_erc_supported": False,
                "sct_erc_enabled": False,
                "dev_uuid": "fca8720e-13f9-11ee-9106-38d547790df8",
                "device_location": "sata-internal-p2",
                "set_name": "Freebox",
                "set_uuid": "dc8679f8-13f9-11ee-9106-38d547790df8",
            },
            {
                "total_bytes": 2000000000000,
                "active_device": 0,
                "id": 2000,
                "corrected_read_errors": 0,
                "array_id": 0,
                "disk": {
                    "firmware": "0001",
                    "temp": 30,
                    "serial": "ZDZLEJXE",
                    "model": "ST2000LM015-2E8174",
                },
                "role": "active",
                "sct_erc_supported": False,
                "sct_erc_enabled": False,
                "dev_uuid": "16bf00d6-13fa-11ee-9106-38d547790df8",
                "device_location": "sata-internal-p0",
                "set_name": "Freebox",
                "set_uuid": "dc8679f8-13f9-11ee-9106-38d547790df8",
            },
        ],
        "array_size": 2000000000000,  # Size of array in bytes
        "state": "running",  # stopped, running, error
        "sync_speed": 0,  # Sync speed in bytes per second
        "name": "Freebox",
        "check_interval": 0,  # Check interval in seconds
        "disk_id": 3000,
        "last_check": 1682884357,  # Unix timestamp of last check in seconds
        "sync_completed_end": 0,  # End position of sync process: total of bytes to sync
        "sync_completed_percent": 0,  # Percentage of sync completion
    }
]

# switch
WIFI_GET_GLOBAL_CONFIG = {"enabled": True, "mac_filter_state": "disabled"}

# device_tracker
DATA_LAN_GET_HOSTS_LIST = [
    {
        "l2ident": {"id": "8C:97:EA:00:00:00", "type": "mac_address"},
        "active": True,
        "persistent": False,
        "names": [
            {"name": "d633d0c8-958c-43cc-e807-d881b076924b", "source": "mdns"},
            {"name": "Freebox Player POP", "source": "mdns_srv"},
        ],
        "vendor_name": "Freebox SAS",
        "host_type": "smartphone",
        "interface": "pub",
        "id": "ether-8c:97:ea:00:00:00",
        "last_time_reachable": 1614107652,
        "primary_name_manual": False,
        "l3connectivities": [
            {
                "addr": "192.168.1.180",
                "active": True,
                "reachable": True,
                "last_activity": 1614107614,
                "af": "ipv4",
                "last_time_reachable": 1614104242,
            },
            {
                "addr": "fe80::dcef:dbba:6604:31d1",
                "active": True,
                "reachable": True,
                "last_activity": 1614107645,
                "af": "ipv6",
                "last_time_reachable": 1614107645,
            },
            {
                "addr": "2a01:e34:eda1:eb40:8102:4704:7ce0:2ace",
                "active": False,
                "reachable": False,
                "last_activity": 1611574428,
                "af": "ipv6",
                "last_time_reachable": 1611574428,
            },
            {
                "addr": "2a01:e34:eda1:eb40:c8e5:c524:c96d:5f5e",
                "active": False,
                "reachable": False,
                "last_activity": 1612475101,
                "af": "ipv6",
                "last_time_reachable": 1612475101,
            },
            {
                "addr": "2a01:e34:eda1:eb40:583a:49df:1df0:c2df",
                "active": True,
                "reachable": True,
                "last_activity": 1614107652,
                "af": "ipv6",
                "last_time_reachable": 1614107652,
            },
            {
                "addr": "2a01:e34:eda1:eb40:147e:3569:86ab:6aaa",
                "active": False,
                "reachable": False,
                "last_activity": 1612486752,
                "af": "ipv6",
                "last_time_reachable": 1612486752,
            },
        ],
        "default_name": "Freebox Player POP",
        "model": "fbx8am",
        "reachable": True,
        "last_activity": 1614107652,
        "primary_name": "Freebox Player POP",
    },
    {
        "l2ident": {"id": "DE:00:B0:00:00:00", "type": "mac_address"},
        "active": False,
        "persistent": False,
        "vendor_name": "",
        "host_type": "workstation",
        "interface": "pub",
        "id": "ether-de:00:b0:00:00:00",
        "last_time_reachable": 1607125599,
        "primary_name_manual": False,
        "default_name": "",
        "l3connectivities": [
            {
                "addr": "192.168.1.181",
                "active": False,
                "reachable": False,
                "last_activity": 1607125599,
                "af": "ipv4",
                "last_time_reachable": 1607125599,
            },
            {
                "addr": "192.168.1.182",
                "active": False,
                "reachable": False,
                "last_activity": 1605958758,
                "af": "ipv4",
                "last_time_reachable": 1605958758,
            },
            {
                "addr": "2a01:e34:eda1:eb40:dc00:b0ff:fedf:e30",
                "active": False,
                "reachable": False,
                "last_activity": 1607125594,
                "af": "ipv6",
                "last_time_reachable": 1607125594,
            },
        ],
        "reachable": False,
        "last_activity": 1607125599,
        "primary_name": "",
    },
    {
        "l2ident": {"id": "DC:00:B0:00:00:00", "type": "mac_address"},
        "active": True,
        "persistent": False,
        "names": [
            {"name": "Repeteur-Wifi-Freebox", "source": "mdns"},
            {"name": "Repeteur Wifi Freebox", "source": "mdns_srv"},
        ],
        "vendor_name": "",
        "host_type": "freebox_wifi",
        "interface": "pub",
        "id": "ether-dc:00:b0:00:00:00",
        "last_time_reachable": 1614107678,
        "primary_name_manual": False,
        "l3connectivities": [
            {
                "addr": "192.168.1.145",
                "active": True,
                "reachable": True,
                "last_activity": 1614107678,
                "af": "ipv4",
                "last_time_reachable": 1614107678,
            },
            {
                "addr": "fe80::de00:b0ff:fe52:6ef6",
                "active": True,
                "reachable": True,
                "last_activity": 1614107608,
                "af": "ipv6",
                "last_time_reachable": 1614107603,
            },
            {
                "addr": "2a01:e34:eda1:eb40:de00:b0ff:fe52:6ef6",
                "active": True,
                "reachable": True,
                "last_activity": 1614107618,
                "af": "ipv6",
                "last_time_reachable": 1614107618,
            },
        ],
        "default_name": "Repeteur Wifi Freebox",
        "model": "fbxwmr",
        "reachable": True,
        "last_activity": 1614107678,
        "primary_name": "Repeteur Wifi Freebox",
    },
    {
        "l2ident": {"id": "5E:65:55:00:00:00", "type": "mac_address"},
        "active": False,
        "persistent": False,
        "names": [
            {"name": "iPhoneofQuentin", "source": "dhcp"},
            {"name": "iPhone-of-Quentin", "source": "mdns"},
        ],
        "vendor_name": "",
        "host_type": "smartphone",
        "interface": "pub",
        "id": "ether-5e:65:55:00:00:00",
        "last_time_reachable": 1612611982,
        "primary_name_manual": False,
        "default_name": "iPhonedeQuentin",
        "l3connectivities": [
            {
                "addr": "192.168.1.148",
                "active": False,
                "reachable": False,
                "last_activity": 1612611973,
                "af": "ipv4",
                "last_time_reachable": 1612611973,
            },
            {
                "addr": "fe80::14ca:6c30:938b:e281",
                "active": False,
                "reachable": False,
                "last_activity": 1609693223,
                "af": "ipv6",
                "last_time_reachable": 1609693223,
            },
            {
                "addr": "fe80::1c90:2b94:1ba2:bd8b",
                "active": False,
                "reachable": False,
                "last_activity": 1610797303,
                "af": "ipv6",
                "last_time_reachable": 1610797303,
            },
            {
                "addr": "fe80::8c8:e58b:838e:6785",
                "active": False,
                "reachable": False,
                "last_activity": 1612611951,
                "af": "ipv6",
                "last_time_reachable": 1612611946,
            },
            {
                "addr": "2a01:e34:eda1:eb40:f0e7:e198:3a69:58",
                "active": False,
                "reachable": False,
                "last_activity": 1609693245,
                "af": "ipv6",
                "last_time_reachable": 1609693245,
            },
            {
                "addr": "2a01:e34:eda1:eb40:1dc4:c6f8:aa20:c83b",
                "active": False,
                "reachable": False,
                "last_activity": 1610797176,
                "af": "ipv6",
                "last_time_reachable": 1610797176,
            },
            {
                "addr": "2a01:e34:eda1:eb40:6cf6:5811:1770:c662",
                "active": False,
                "reachable": False,
                "last_activity": 1612611982,
                "af": "ipv6",
                "last_time_reachable": 1612611982,
            },
            {
                "addr": "2a01:e34:eda1:eb40:438:9b2c:4f8f:f48a",
                "active": False,
                "reachable": False,
                "last_activity": 1612611946,
                "af": "ipv6",
                "last_time_reachable": 1612611946,
            },
        ],
        "reachable": False,
        "last_activity": 1612611982,
        "primary_name": "iPhoneofQuentin",
    },
]


DATA_HOME_GET_NODES = [
    {
        "adapter": 2,
        "area": 38,
        "category": "camera",
        "group": {"label": "Salon"},
        "id": 16,
        "label": "Caméra II",
        "name": "node_16",
        "props": {
            "Ip": "192.169.0.2",
            "Login": "camfreebox",
            "Mac": "34:2d:f2:e5:9d:ff",
            "Pass": "xxxxx",
            "Stream": "http://freeboxcam:mv...tream.m3u8",
        },
        "show_endpoints": [
            {
                "category": "",
                "ep_type": "slot",
                "id": 0,
                "label": "Détection",
                "name": "detection",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 1,
                "label": "Activé avec l'alarme",
                "name": "activation",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 2,
                "label": "Haute qualité vidéo",
                "name": "quality",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 3,
                "label": "Sensibilité",
                "name": "sensitivity",
                "ui": {"access": "rw", "display": "slider", "range": [...]},
                "value": 0,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 4,
                "label": "Seuil",
                "name": "threshold",
                "ui": {"access": "rw", "display": "slider", "range": [...]},
                "value": 0,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 5,
                "label": "Retourner verticalement",
                "name": "flip",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 6,
                "label": "Horodatage",
                "name": "timestamp",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 7,
                "label": "Volume du micro",
                "name": "volume",
                "ui": {"access": "w", "display": "slider", "range": [...]},
                "value": 0,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 9,
                "label": "Détection de bruit",
                "name": "sound_detection",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 10,
                "label": "Sensibilité du micro",
                "name": "sound_trigger",
                "ui": {"access": "w", "display": "slider", "range": [...]},
                "value": 0,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 11,
                "label": "Flux rtsp",
                "name": "rtsp",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 12,
                "label": "Emplacement des vidéos",
                "name": "disk",
                "ui": {"access": "rw", "display": "disk"},
                "value": "",
                "value_type": "string",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 13,
                "label": "Détection ",
                "name": "detection",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "toggle",
                    "icon_url": "/resources/images/home/pictos/xxxx.png",
                },
                "value": True,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 14,
                "label": "Activé avec l'alarme",
                "name": "activation",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "description": "Ce réglage permet d'activer l'enregistrement de la caméra uniquement quand l'alarme est activée.",
                    "display": "toggle",
                    "icon_url": "/resources/images/home/pictos/alert_toggle.png",
                },
                "value": True,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 15,
                "label": "Haute qualité vidéo",
                "name": "quality",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "description": "Les vidéos seront enregistrées en 720p en haute qualité et 480p en qualité réduite.\r\n\r\nNous vous recommandons de laisser cette option désactivée si vous avez des difficultés de lecture des fichiers à distance.",
                    "display": "toggle",
                    "icon_url": "/resources/images/home/pictos/Flux.png",
                },
                "value": True,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 16,
                "label": "Sensibilité",
                "name": "sensitivity",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "description": "La sensibilité définit la faculté d'un pixel à être sensible aux changements.\r\n\r\nQuatre réglages sont disponibles (1-4). Plus cette valeur est haute, plus les déclenchements seront fréquents.",
                    "display": "slider",
                    "range": [...],
                },
                "value": 3,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 17,
                "label": "Seuil",
                "name": "threshold",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "description": "Le seuil définit le nombre de pixels devant changer pour déclencher la détection .\r\n\r\nQuatre réglages sont disponibles (1-4). Plus cette valeur est haute moins les déclenchements seront fréquents.",
                    "display": "slider",
                    "range": [...],
                },
                "value": 2,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 18,
                "label": "Retourner verticalement",
                "name": "flip",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "toggle",
                    "icon_url": "/resources/images/home/pictos/Retour.png",
                },
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 19,
                "label": "Horodatage",
                "name": "timestamp",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "toggle",
                    "icon_url": "/resources/images/home/pictos/Horloge.png",
                },
                "value": True,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 20,
                "label": "Volume du micro",
                "name": "volume",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "slider",
                    "icon_url": "/resources/images/home/pictos/commande_vocale.png",
                    "range": [...],
                },
                "value": 100,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 22,
                "label": "Détection de bruit",
                "name": "sound_detection",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "toggle",
                    "icon_url": "/resources/images/home/pictos/commande_vocale.png",
                },
                "value": True,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 23,
                "label": "Sensibilité du micro",
                "name": "sound_trigger",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "description": "Quatre réglages sont disponibles pour la sensibilité du micro (1-4).\r\n\r\nPlus cette valeur est haute, plus les enregistrements seront fréquents.",
                    "display": "slider",
                    "range": [...],
                },
                "value": 3,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 24,
                "label": "Flux rtsp",
                "name": "rtsp",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "description": "Active le flux RTSP à l'adresse rtsp://ip_camera/live",
                    "display": "toggle",
                },
                "value": True,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 25,
                "label": "Niveau de réception",
                "name": "rssi",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "icon",
                    "icon_range": [...],
                    "icon_url": "/resources/images/home/pictos/reception_%.png",
                    "range": [...],
                    "status_text_range": [...],
                    "unit": "dB",
                },
                "value": -75,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 26,
                "label": "Emplacement des vidéos",
                "name": "disk",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "disk",
                    "icon_url": "/resources/images/home/pictos/directory.png",
                },
                "value": "Freebox",
                "value_type": "string",
                "visibility": "normal",
            },
        ],
        "signal_links": [],
        "slot_links": [{...}],
        "status": "active",
        "type": {
            "abstract": False,
            "endpoints": [
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 0,
                    "label": "Détection ",
                    "name": "detection",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 1,
                    "label": "Activé avec l'alarme",
                    "name": "activation",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 2,
                    "label": "Haute qualité vidéo",
                    "name": "quality",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 3,
                    "label": "Sensibilité",
                    "name": "sensitivity",
                    "ui": {"access": "rw", "display": "slider", "range": [...]},
                    "value": 0,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 4,
                    "label": "Seuil",
                    "name": "threshold",
                    "ui": {"access": "rw", "display": "slider", "range": [...]},
                    "value": 0,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 5,
                    "label": "Retourner verticalement",
                    "name": "flip",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 6,
                    "label": "Horodatage",
                    "name": "timestamp",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 7,
                    "label": "Volume du micro",
                    "name": "volume",
                    "ui": {"access": "w", "display": "slider", "range": [...]},
                    "value": 0,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 9,
                    "label": "Détection de bruit",
                    "name": "sound_detection",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 10,
                    "label": "Sensibilité du micro",
                    "name": "sound_trigger",
                    "ui": {"access": "w", "display": "slider", "range": [...]},
                    "value": 0,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 11,
                    "label": "Flux rtsp",
                    "name": "rtsp",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 12,
                    "label": "Emplacement des vidéos",
                    "name": "disk",
                    "ui": {"access": "rw", "display": "disk"},
                    "value": "",
                    "value_type": "string",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 13,
                    "label": "Détection ",
                    "name": "detection",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "toggle",
                        "icon_url": "/resources/images/home/pictos/xxxx.png",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 14,
                    "label": "Activé avec l'alarme",
                    "name": "activation",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "description": "Ce réglage permet d'activer l'enregistrement de la caméra uniquement quand l'alarme est activée.",
                        "display": "toggle",
                        "icon_url": "/resources/images/home/pictos/alert_toggle.png",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 15,
                    "label": "Haute qualité vidéo",
                    "name": "quality",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "description": "Les vidéos seront enregistrées en 720p en haute qualité et 480p en qualité réduite.\r\n\r\nNous vous recommandons de laisser cette option désactivée si vous avez des difficultés de lecture des fichiers à distance.",
                        "display": "toggle",
                        "icon_url": "/resources/images/home/pictos/Flux.png",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 16,
                    "label": "Sensibilité",
                    "name": "sensitivity",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "description": "La sensibilité définit la faculté d'un pixel à être sensible aux changements.\r\n\r\nQuatre réglages sont disponibles (1-4). Plus cette valeur est haute, plus les déclenchements seront fréquents.",
                        "display": "slider",
                        "range": [...],
                    },
                    "value": 3,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 17,
                    "label": "Seuil",
                    "name": "threshold",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "description": "Le seuil définit le nombre de pixels devant changer pour déclencher la détection .\r\n\r\nQuatre réglages sont disponibles (1-4). Plus cette valeur est haute moins les déclenchements seront fréquents.",
                        "display": "slider",
                        "range": [...],
                    },
                    "value": 2,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 18,
                    "label": "Retourner verticalement",
                    "name": "flip",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "toggle",
                        "icon_url": "/resources/images/home/pictos/Retour.png",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 19,
                    "label": "Horodatage",
                    "name": "timestamp",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "toggle",
                        "icon_url": "/resources/images/home/pictos/Horloge.png",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 20,
                    "label": "Volume du micro",
                    "name": "volume",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "slider",
                        "icon_url": "/resources/images/home/pictos/commande_vocale.png",
                        "range": [...],
                    },
                    "value": 80,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 22,
                    "label": "Détection de bruit",
                    "name": "sound_detection",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "toggle",
                        "icon_url": "/resources/images/home/pictos/commande_vocale.png",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 23,
                    "label": "Sensibilité du micro",
                    "name": "sound_trigger",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "description": "Quatre réglages sont disponibles pour la sensibilité du micro (1-4).\r\n\r\nPlus cette valeur est haute, plus les enregistrements seront fréquents.",
                        "display": "slider",
                        "range": [...],
                    },
                    "value": 3,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 24,
                    "label": "Flux rtsp",
                    "name": "rtsp",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "description": "Active le flux RTSP à l'adresse rtsp://ip_camera/live",
                        "display": "toggle",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 25,
                    "label": "Niveau de réception",
                    "name": "rssi",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "icon",
                        "icon_range": [...],
                        "icon_url": "/resources/images/home/pictos/reception_%.png",
                        "range": [...],
                        "status_text_range": [...],
                        "unit": "dB",
                    },
                    "value": -49,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 26,
                    "label": "Emplacement des vidéos",
                    "name": "disk",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "disk",
                        "icon_url": "/resources/images/home/pictos/directory.png",
                    },
                    "value": "Freebox",
                    "value_type": "string",
                    "visibility": "normal",
                },
            ],
            "generic": False,
            "icon": "/resources/images/ho...camera.png",
            "inherit": "node::cam",
            "label": "Caméra Freebox",
            "name": "node::cam::freebox",
            "params": {},
            "physical": True,
        },
    },
    {
        "adapter": 1,
        "area": 38,
        "category": "camera",
        "group": {"label": "Salon"},
        "id": 15,
        "label": "Caméra I",
        "name": "node_15",
        "props": {
            "Ip": "192.169.0.2",
            "Login": "camfreebox",
            "Mac": "34:2d:f2:e5:9d:ff",
            "Pass": "xxxxx",
            "Stream": "http://freeboxcam:mv...tream.m3u8",
        },
        "show_endpoints": [
            {
                "category": "",
                "ep_type": "slot",
                "id": 0,
                "label": "Détection ",
                "name": "detection",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 1,
                "label": "Activé avec l'alarme",
                "name": "activation",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 2,
                "label": "Haute qualité vidéo",
                "name": "quality",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 3,
                "label": "Sensibilité",
                "name": "sensitivity",
                "ui": {"access": "rw", "display": "slider", "range": [...]},
                "value": 0,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 4,
                "label": "Seuil",
                "name": "threshold",
                "ui": {"access": "rw", "display": "slider", "range": [...]},
                "value": 0,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 5,
                "label": "Retourner verticalement",
                "name": "flip",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 6,
                "label": "Horodatage",
                "name": "timestamp",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 7,
                "label": "Volume du micro",
                "name": "volume",
                "ui": {"access": "w", "display": "slider", "range": [...]},
                "value": 0,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 9,
                "label": "Détection de bruit",
                "name": "sound_detection",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 10,
                "label": "Sensibilité du micro",
                "name": "sound_trigger",
                "ui": {"access": "w", "display": "slider", "range": [...]},
                "value": 0,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 11,
                "label": "Flux rtsp",
                "name": "rtsp",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 12,
                "label": "Emplacement des vidéos",
                "name": "disk",
                "ui": {"access": "rw", "display": "disk"},
                "value": "",
                "value_type": "string",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 13,
                "label": "Détection ",
                "name": "detection",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "toggle",
                    "icon_url": "/resources/images/home/pictos/xxxx.png",
                },
                "value": True,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 14,
                "label": "Activé avec l'alarme",
                "name": "activation",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "description": "Ce réglage permet d'activer l'enregistrement de la caméra uniquement quand l'alarme est activée.",
                    "display": "toggle",
                    "icon_url": "/resources/images/home/pictos/alert_toggle.png",
                },
                "value": True,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 15,
                "label": "Haute qualité vidéo",
                "name": "quality",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "description": "Les vidéos seront enregistrées en 720p en haute qualité et 480p en qualité réduite.\r\n\r\nNous vous recommandons de laisser cette option désactivée si vous avez des difficultés de lecture des fichiers à distance.",
                    "display": "toggle",
                    "icon_url": "/resources/images/home/pictos/Flux.png",
                },
                "value": True,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 16,
                "label": "Sensibilité",
                "name": "sensitivity",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "description": "La sensibilité définit la faculté d'un pixel à être sensible aux changements.\r\n\r\nQuatre réglages sont disponibles (1-4). Plus cette valeur est haute, plus les déclenchements seront fréquents.",
                    "display": "slider",
                    "range": [...],
                },
                "value": 3,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 17,
                "label": "Seuil",
                "name": "threshold",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "description": "Le seuil définit le nombre de pixels devant changer pour déclencher la détection .\r\n\r\nQuatre réglages sont disponibles (1-4). Plus cette valeur est haute moins les déclenchements seront fréquents.",
                    "display": "slider",
                    "range": [...],
                },
                "value": 2,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 18,
                "label": "Retourner verticalement",
                "name": "flip",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "toggle",
                    "icon_url": "/resources/images/home/pictos/Retour.png",
                },
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 19,
                "label": "Horodatage",
                "name": "timestamp",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "toggle",
                    "icon_url": "/resources/images/home/pictos/Horloge.png",
                },
                "value": True,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 20,
                "label": "Volume du micro",
                "name": "volume",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "slider",
                    "icon_url": "/resources/images/home/pictos/commande_vocale.png",
                    "range": [...],
                },
                "value": 100,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 22,
                "label": "Détection de bruit",
                "name": "sound_detection",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "toggle",
                    "icon_url": "/resources/images/home/pictos/commande_vocale.png",
                },
                "value": True,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 23,
                "label": "Sensibilité du micro",
                "name": "sound_trigger",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "description": "Quatre réglages sont disponibles pour la sensibilité du micro (1-4).\r\n\r\nPlus cette valeur est haute, plus les enregistrements seront fréquents.",
                    "display": "slider",
                    "range": [...],
                },
                "value": 3,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 24,
                "label": "Flux rtsp",
                "name": "rtsp",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "description": "Active le flux RTSP à l'adresse rtsp://ip_camera/live",
                    "display": "toggle",
                },
                "value": True,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 25,
                "label": "Niveau de réception",
                "name": "rssi",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "icon",
                    "icon_range": [...],
                    "icon_url": "/resources/images/home/pictos/reception_%.png",
                    "range": [...],
                    "status_text_range": [...],
                    "unit": "dB",
                },
                "value": -75,
                "value_type": "int",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 26,
                "label": "Emplacement des vidéos",
                "name": "disk",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "disk",
                    "icon_url": "/resources/images/home/pictos/directory.png",
                },
                "value": "Freebox",
                "value_type": "string",
                "visibility": "normal",
            },
        ],
        "signal_links": [],
        "slot_links": [{...}],
        "status": "active",
        "type": {
            "abstract": False,
            "endpoints": [
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 0,
                    "label": "Détection ",
                    "name": "detection",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 1,
                    "label": "Activé avec l'alarme",
                    "name": "activation",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 2,
                    "label": "Haute qualité vidéo",
                    "name": "quality",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 3,
                    "label": "Sensibilité",
                    "name": "sensitivity",
                    "ui": {"access": "rw", "display": "slider", "range": [...]},
                    "value": 0,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 4,
                    "label": "Seuil",
                    "name": "threshold",
                    "ui": {"access": "rw", "display": "slider", "range": [...]},
                    "value": 0,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 5,
                    "label": "Retourner verticalement",
                    "name": "flip",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 6,
                    "label": "Horodatage",
                    "name": "timestamp",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 7,
                    "label": "Volume du micro",
                    "name": "volume",
                    "ui": {"access": "w", "display": "slider", "range": [...]},
                    "value": 0,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 9,
                    "label": "Détection de bruit",
                    "name": "sound_detection",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 10,
                    "label": "Sensibilité du micro",
                    "name": "sound_trigger",
                    "ui": {"access": "w", "display": "slider", "range": [...]},
                    "value": 0,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 11,
                    "label": "Flux rtsp",
                    "name": "rtsp",
                    "ui": {"access": "w", "display": "toggle"},
                    "value": False,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "slot",
                    "id": 12,
                    "label": "Emplacement des vidéos",
                    "name": "disk",
                    "ui": {"access": "rw", "display": "disk"},
                    "value": "",
                    "value_type": "string",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 13,
                    "label": "Détection ",
                    "name": "detection",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "toggle",
                        "icon_url": "/resources/images/home/pictos/xxxx.png",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 14,
                    "label": "Activé avec l'alarme",
                    "name": "activation",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "description": "Ce réglage permet d'activer l'enregistrement de la caméra uniquement quand l'alarme est activée.",
                        "display": "toggle",
                        "icon_url": "/resources/images/home/pictos/alert_toggle.png",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 15,
                    "label": "Haute qualité vidéo",
                    "name": "quality",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "description": "Les vidéos seront enregistrées en 720p en haute qualité et 480p en qualité réduite.\r\n\r\nNous vous recommandons de laisser cette option désactivée si vous avez des difficultés de lecture des fichiers à distance.",
                        "display": "toggle",
                        "icon_url": "/resources/images/home/pictos/Flux.png",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 16,
                    "label": "Sensibilité",
                    "name": "sensitivity",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "description": "La sensibilité définit la faculté d'un pixel à être sensible aux changements.\r\n\r\nQuatre réglages sont disponibles (1-4). Plus cette valeur est haute, plus les déclenchements seront fréquents.",
                        "display": "slider",
                        "range": [...],
                    },
                    "value": 3,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 17,
                    "label": "Seuil",
                    "name": "threshold",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "description": "Le seuil définit le nombre de pixels devant changer pour déclencher la détection .\r\n\r\nQuatre réglages sont disponibles (1-4). Plus cette valeur est haute moins les déclenchements seront fréquents.",
                        "display": "slider",
                        "range": [...],
                    },
                    "value": 2,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 18,
                    "label": "Retourner verticalement",
                    "name": "flip",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "toggle",
                        "icon_url": "/resources/images/home/pictos/Retour.png",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 19,
                    "label": "Horodatage",
                    "name": "timestamp",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "toggle",
                        "icon_url": "/resources/images/home/pictos/Horloge.png",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 20,
                    "label": "Volume du micro",
                    "name": "volume",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "slider",
                        "icon_url": "/resources/images/home/pictos/commande_vocale.png",
                        "range": [...],
                    },
                    "value": 80,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 22,
                    "label": "Détection de bruit",
                    "name": "sound_detection",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "toggle",
                        "icon_url": "/resources/images/home/pictos/commande_vocale.png",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 23,
                    "label": "Sensibilité du micro",
                    "name": "sound_trigger",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "description": "Quatre réglages sont disponibles pour la sensibilité du micro (1-4).\r\n\r\nPlus cette valeur est haute, plus les enregistrements seront fréquents.",
                        "display": "slider",
                        "range": [...],
                    },
                    "value": 3,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 24,
                    "label": "Flux rtsp",
                    "name": "rtsp",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "description": "Active le flux RTSP à l'adresse rtsp://ip_camera/live",
                        "display": "toggle",
                    },
                    "value": True,
                    "value_type": "bool",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 25,
                    "label": "Niveau de réception",
                    "name": "rssi",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "icon",
                        "icon_range": [...],
                        "icon_url": "/resources/images/home/pictos/reception_%.png",
                        "range": [...],
                        "status_text_range": [...],
                        "unit": "dB",
                    },
                    "value": -49,
                    "value_type": "int",
                    "visibility": "normal",
                },
                {
                    "category": "",
                    "ep_type": "signal",
                    "id": 26,
                    "label": "Emplacement des vidéos",
                    "name": "disk",
                    "refresh": 2000,
                    "ui": {
                        "access": "r",
                        "display": "disk",
                        "icon_url": "/resources/images/home/pictos/directory.png",
                    },
                    "value": "Freebox",
                    "value_type": "string",
                    "visibility": "normal",
                },
            ],
            "generic": False,
            "icon": "/resources/images/ho...camera.png",
            "inherit": "node::cam",
            "label": "Caméra Freebox",
            "name": "node::cam::freebox",
            "params": {},
            "physical": True,
        },
    },
    {
        "adapter": 5,
        "category": "kfb",
        "group": {"label": ""},
        "id": 9,
        "label": "Télécommande I",
        "name": "node_9",
        "props": {
            "Address": 5,
            "Challenge": "65ae6b4def41f3e3a5a77ec63e988",
            "FwVersion": 29798318,
            "Gateway": 1,
            "ItemId": "e76c2b75a4a6e2",
        },
        "show_endpoints": [{...}, {...}, {...}, {...}],
        "signal_links": [{...}],
        "slot_links": [],
        "status": "active",
        "type": {
            "abstract": False,
            "endpoints": [...],
            "generic": False,
            "icon": "/resources/images/home/pictos/telecommande.png",
            "inherit": "node::domus",
            "label": "Télécommande pour alarme",
            "name": "node::domus::sercomm::keyfob",
            "params": {},
            "physical": True,
        },
    },
    {
        "adapter": 5,
        "area": 40,
        "category": "dws",
        "group": {"label": "Entrée"},
        "id": 11,
        "label": "dws i",
        "name": "node_11",
        "props": {
            "Address": 6,
            "Challenge": "964a2dddf2c40c3e2384f66d2",
            "FwVersion": 29798220,
            "Gateway": 1,
            "ItemId": "9eff759dd553de7",
        },
        "show_endpoints": [
            {
                "category": "",
                "ep_type": "slot",
                "id": 0,
                "label": "Alarme principale",
                "name": "alarm1",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 1,
                "label": "Alarme secondaire",
                "name": "alarm2",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "slot",
                "id": 2,
                "label": "Zone temporisée",
                "name": "timed",
                "ui": {"access": "w", "display": "toggle"},
                "value": False,
                "value_type": "bool",
                "visibility": "normal",
            },
            {
                "category": "",
                "ep_type": "signal",
                "id": 8,
                "label": "Niveau de Batterie",
                "name": "battery",
                "refresh": 2000,
                "ui": {
                    "access": "r",
                    "display": "icon",
                    "icon_range": [...],
                    "icon_url": "/resources/images/home/pictos/batt_%.png",
                    "range": [...],
                    "status_text_range": [...],
                    "unit": "%",
                },
                "value": 100,
                "value_type": "int",
                "visibility": "normal",
            },
        ],
        "signal_links": [{...}],
        "slot_links": [],
        "status": "active",
        "type": {
            "abstract": False,
            "endpoints": [...],
            "generic": False,
            "icon": "/resources/images/home/pictos/detecteur_ouverture.png",
            "inherit": "node::domus",
            "label": "Détecteur d'ouverture de porte",
            "name": "node::domus::sercomm::doorswitch",
            "params": {},
            "physical": True,
        },
    },
    {
        "adapter": 5,
        "area": 38,
        "category": "pir",
        "group": {"label": "Salon"},
        "id": 26,
        "label": "Salon Détecteur s",
        "name": "node_26",
        "props": {
            "Address": 9,
            "Challenge": "ed2cc17f179862f5242256b3f597c367",
            "FwVersion": 29871925,
            "Gateway": 1,
            "ItemId": "240d000f9fefe576",
        },
        "show_endpoints": [
            {...},
            {...},
            {...},
            {...},
            {...},
            {...},
            {...},
            {...},
            {...},
        ],
        "signal_links": [{...}],
        "slot_links": [],
        "status": "active",
        "type": {
            "abstract": False,
            "endpoints": [...],
            "generic": False,
            "icon": "/resources/images/home/pictos/detecteur_xxxx.png",
            "inherit": "node::domus",
            "label": "Détecteur  infrarouge",
            "name": "node::domus::sercomm::pir",
            "params": {},
            "physical": True,
        },
    },
    {
        "adapter": 10,
        "area": 38,
        "category": "shutter",
        "group": {"label": "Salon"},
        "id": 150,
        "label": "Shutter 1",
        "name": "node_150",
        "type": {
            "inherit": "node::trs",
        },
    },
    {
        "adapter": 11,
        "area": 38,
        "category": "shutter",
        "group": {"label": "Salon"},
        "id": 151,
        "label": "Shutter 2",
        "name": "node_151",
        "type": {
            "inherit": "node::ios",
        },
    },
]
